# $Revision: 1.65 $, $Date: 2010/11/12 23:38:00 $
#
# TODO:  Tests should be enabled.
# FIXME: Removing of Carp::Clan shoud happen in %%prep.
#        But tests will fail then.
# TODO:  Inform author about the namespace conflict with perl-Bit-Vector.
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Date
%define		pnam	Calc
Summary:	Date::Calc - Gregorian calendar date calculations
Summary(cs.UTF-8):	Date::Calc - modul pro rozšířené a efektivní počítání s datem v Perlu
Summary(da.UTF-8):	Date::Calc - et modul for udvidet og effektiv datoberegning i Perl
Summary(de.UTF-8):	Date::Calc - ein Modul für erweiterte und leistungsstarke Datenberechnungen in Perl
Summary(es.UTF-8):	Date::Calc - módulo para los cálculos de datos extendidos y eficientes en Perl
Summary(fr.UTF-8):	Date::Calc - module de calcul de date étendu et efficace dans Perl
Summary(it.UTF-8):	Date::Calc - modulo per gestire in modo completo ed efficiente i calcoli delle date in Perl
Summary(ja.UTF-8):	Date::Calc - Perl内の拡張型で効率的な日付算出の為のモジュール。
Summary(ko.UTF-8):	Date::Calc - Perl을 사용하여 확장되고 효율적으로 날짜를 계산하는데 사용되는 모듈
Summary(pl.UTF-8):	Date::Calc - obliczanie daty na podstawie kalendarza gregoriańskiego
Summary(pt.UTF-8):	Date::Calc - um módulo para o cálculo eficiente e extendido de datas em Perl
Summary(pt_BR.UTF-8):	Date::Calc - um módulo para o cálculo eficiente e extendido de datas em Perl
Summary(sv.UTF-8):	Date::Calc - en modul för utökade och effektiva datumberäkningar i Perl
Summary(tr.UTF-8):	Date::Calc - Perl'de genişletilmiş ve etkili tarih hesaplamaları için bir modül
Summary(zh_CN.UTF-8):	Date::Calc - 用于 Perl 中扩展的和有效的日期计算的模块。
Summary(zh_TW.UTF-8):	Date::Calc - 用於 Perl 中延伸與有效率之資料計算的一個模組。
Name:		perl-Date-Calc
Version:	6.3
Release:	2
# same as perl (C library also LGPL)
License:	GPL v1+ or Artistic (C library also LGPL)
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Date/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	9b64555b7051c1beb6b61daead2d01b3
URL:		http://search.cpan.org/dist/Date-Calc/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Bit-Vector >= 7.1
BuildRequires:	perl-Carp-Clan >= 5.3
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package consists of a C library and a Perl module (which uses the
C library, internally) for all kinds of date calculations based on the
Gregorian calendar (the one used in all western countries today),
thereby complying with all relevant norms and standards: ISO/R
2015-1971, DIN 1355 and, to some extent, ISO 8601 (where applicable).

%description -l cs.UTF-8
Tato knihovna poskytuje různé typy počítání s datem založené na
gregoriánském kalendáři (používaném nyní ve všech západních zemích),
čímž vyhovuje všem relevantním normám a standardům: ISO/R 2015-1971,
DIN 1355 a do určité míry ISO 8601 (kde to dává smysl).

%description -l da.UTF-8
Biblioteket laver alle slags datoberegninger baseret på den
gregorianske kalender (den som bruges i alle vestlige lande i dag), og
følger derved alle relevante normer og standarder: ISO/R 2015-1971,
DIN 1355 og, i nogen udstrækning, ISO 8601 (hvis relevant).

%description -l de.UTF-8
Die Bibliothek liefert jede Art der Datenberechnung auf der Grundlage
des gregorianischen Kalenders (der heute in allen westlichen Ländern
verwendet wird) und entspricht damit allen relevanten Richtlinien und
Standards: ISO/R 2015-1971, DIN 1355 und, in gewissem Maße, ISO 8601
(wo gültig).

%description -l es.UTF-8
La librería proporciona todos los tipos de cálculos de datos basados
en el calendario gregoriano (usado en todos los países del oeste hoy
en día), que cumple todas las normas y estándare relevantes: ISO/R
2015-1971, DIN 1355 and, to some extent, ISO 8601 (en los casos en los
que se pueda aplicar).

%description -l fr.UTF-8
La bibliothèque fournit toutes sortes de calculs de dates basés sur le
calendrier grégorien (celui qu'utilisent aujourd'hui tous les pays
européens). Il est donc adapté à toutes les normes et tous les
standards: ISO/R 2015-1971, DIN 1355 et dans une certaine mesure ISO
8601 (lorsqu'elle est applicable).

%description -l it.UTF-8
La libreria fornisce ogni sorta di calcolo delle date basandosi sul
calendario Gregoriano (utilizzato in tutti i paesi occidentali), in
conformità con le norme e gli standard più appropriati: ISO/R
2015-1971, DIN 1355 e, anche ISO 8601 (se applicabile).

%description -l ko.UTF-8
이 라이브러리는 (현재 서양에서 사용되는) 그레고리오력에 기반한 모든
종류의 날짜 계산법을 제공합니다. 따라서 다음과 같은 모든 형식과 표준을
준수합니다: ISO/R, 2015-1971, DIN 1355, 그리고 ISO 8601 (적용 가능한
경우).

%description -l pl.UTF-8
Ten pakiet zawiera bibliotekę C i moduł Perla (używający wewnętrznie
tej biblioteki) do wszystkich rodzajów obliczeń na datach bazujących
na kalendarzu gregoriańskim (używanym we wszystkich zachodnich
państwach), zgodnie z normami i standardami: ISO/R 2015-1971, DIN 1355
i, do pewnego stopnia, ISO 8601.

%description -l pt.UTF-8
A biblioteca oferece todo o tipo de cálculos de data com base no
calendário Gregoriano (o que é usado em todos os países ocidentais nos
dias de hoje), estando desta forma em conformidade com todas as
normas: a ISO/R 2015-1971, a DIN 1355 e, a certo nível, a ISO 8601
(onde for aplicável).

%description -l pt_BR.UTF-8
A biblioteca oferece todo o tipo de cálculos de data com base no
calendário Gregoriano (o que é usado em todos os países ocidentais nos
dias de hoje), estando desta forma em conformidade com todas as
normas: a ISO/R 2015-1971, a DIN 1355 e, a certo nível, a ISO 8601
(onde for aplicável).

%description -l sv.UTF-8
Biblioteket klarar alla sorters datumberäkningar baserade på den
gregorianska kalendern (den som används i alla västländer idag), och
följer därvid alla relavanta normer och standarder: ISO/R 2015-1971,
DIN 1355 och, i viss mån, ISO 8601 (där den är tillämplig).

%description -l zh_CN.UTF-8
该库提供了各类建立在格列高里日历(公历)上的
日期计算。它符合所有相关的标准：ISO/R
2015-1971、DIN 1355 和某种程度上的 ISO 8601
(若适用)。

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.txt
%dir %{perl_vendorlib}/Date
%{perl_vendorlib}/Date/*.pm
%dir %{perl_vendorlib}/Date/Calc
%{perl_vendorlib}/Date/Calc/*.pm
%dir %{perl_vendorlib}/Date/Calendar
%{perl_vendorlib}/Date/Calendar/*.pm
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Date-Calc.spec,v $
Revision 1.65  2010/11/12 23:38:00  pawelz
- release 2

Revision 1.64  2009/11/20 07:25:50  amateja
- updated to 6.3

Revision 1.63  2009/10/27 07:56:45  amateja
- updated to 6.2
- cleaned up BRs
- cleaned up %files
- it's noarch now

Revision 1.62  2009/10/20 07:03:14  amateja
- updated to 6.0

Revision 1.61  2009/09/10 11:46:36  amateja
- updated to 5.7

Revision 1.60  2008/07/28 13:25:46  megabajt
- release 5

Revision 1.59  2008/03/23 20:05:39  qboosh
- generic URL

Revision 1.58  2008-02-10 12:06:34  arekm
- rel 4

Revision 1.57  2008-01-31 22:03:35  glen
- rel 3

Revision 1.56  2008-01-10 08:38:36  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.55  2007-02-13 07:16:54  glen
- tabs in preamble

Revision 1.54  2007/02/12 00:49:29  baggins
- converted to UTF-8

Revision 1.53  2005/05/08 20:06:19  pluto
- release 2 for Th.

Revision 1.52  2004/12/12 10:18:07  adamg
- updated to 5.4

Revision 1.51  2004/11/03 22:30:17  paladine
- formatting

Revision 1.50  2004/06/05 18:10:37  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.49  2004/05/07 00:38:11  ankry
- rel. 4

Revision 1.48  2004/05/06 18:01:28  ankry
- fixed perl-devel BR

Revision 1.47  2004/04/25 06:25:07  ankry
- cosmetics: unification

Revision 1.46  2004/04/20 10:08:07  ankry
- new bconds

Revision 1.45  2004/04/19 22:22:14  ankry
- license/description fixes

Revision 1.44  2004/02/25 22:29:38  undefine
- release 3 to allow upgrade from RA

Revision 1.43  2003/09/09 10:24:32  ankry
- spaces -> tab

Revision 1.42  2003/08/18 08:08:41  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.41  2003/05/28 13:00:33  malekith
- massive attack: source-md5

Revision 1.40  2003/05/25 06:24:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.39  2003/04/20 22:41:29  ankry
- merged translations from RH

Revision 1.38  2003/04/11 18:59:22  radek
- BR: perl-devel; do not BR: perl

Revision 1.37  2003/03/01 18:05:15  radek
- should be ready for perl-5.8.0; release++

Revision 1.36  2003/02/28 10:08:20  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.35  2003/02/24 20:31:52  radek
- use the __perl macro

Revision 1.34  2003/02/18 15:31:15  ankry
- massive attack: change CPAN URLs

Revision 1.33  2002/10/05 12:15:23  ankry
- (auto)updated

Revision 1.32  2002/09/26 15:18:56  ankry
- version 5.2, release 1

Revision 1.31  2002/09/14 12:52:17  qboosh
- added pl description, release 2

Revision 1.30  2002/09/12 22:21:19  radek
- version 5.1
- provided informative summary/description
STBR

Revision 1.29  2002/07/16 23:30:05  ankry
- fix License field, remove License files
- added %%{perl_sitearch}/Date and %%{perl_sitearch}/auto/Date dirs
- release 10

Revision 1.28  2002/07/16 11:47:41  ankry
- translations, cleaning
- release 9

Revision 1.27  2002/07/14 02:23:07  qboosh
- removed Carp::Clan - it's in required perl-Bit-Vector now
- release 8

Revision 1.26  2002/07/13 23:06:36  qboosh
- added missing files, BR: perl-Bit-Vector
- new %%doc, cosmetics, release 7

Revision 1.25  2002/07/10 08:46:57  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.24  2002/05/11 14:28:07  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.23  2002/03/10 18:48:54  djrzulf
- added missed (?) Carp file,
- Release 6,
- STBR

Revision 1.22  2002/02/25 10:30:35  depesz
cleanup; revision++

Revision 1.21  2002/02/22 23:29:27  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.20  2002/02/13 14:11:02  depesz
automatic: Source location unified, Relase Up

Revision 1.19  2002/02/10 15:25:07  depesz
adapterized

Revision 1.18  2002/01/18 02:14:14  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.17  2001/10/29 19:56:25  kloczek
- release 3.

Revision 1.16  2001/10/26 11:20:14  blues
- release 2
- removed Carp man page to avoid conflicts with perl-Bit-Vector
NOTE: maybe move Carp:Clan to separate package?

Revision 1.15  2001/10/18 10:44:11  mis
- autoupdated to 5.0

Revision 1.14  2001/04/30 16:05:26  kloczek
- added using %%{rpmcflags} macro.

Revision 1.13  2001/04/17 12:07:46  baggins
- release 3
- rebuild with perl 5.6.1

Revision 1.12  2001/04/14 18:00:05  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.11  2001/01/25 20:03:44  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.10  2000/12/30 22:27:09  kloczek
- typos.

Revision 1.9  2000/12/30 22:20:03  kloczek
- missing %%{version} macro in %install.

Revision 1.8  2000/12/30 22:16:52  kloczek
- release 2: rebuild agaunst perl 5.6 and use new rpm automation.

Revision 1.7  2000/06/09 07:23:33  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/05/18 23:50:15  kloczek
- spec adapterized.

Revision 1.5  2000/04/01 11:15:18  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:54:48  baggins
- translated kloczkish into english

Revision 1.3  2000/02/17 20:40:05  pius
- updated to 4.3

Revision 1.2  1999/11/04 21:24:39  pius
- added '%%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/09 18:15:15  pius
- initial release
